NamingService (Tomcat API Documentation)
Keywords: org.apache.naming.NamingService class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class NamingService

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          org.apache.naming.NamingService

All Implemented Interfaces:
  javax.management.MBeanRegistration, NamingServiceMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public final class NamingService
extends javax.management.NotificationBroadcasterSupport
implements NamingServiceMBean, javax.management.MBeanRegistration

Implementation of the NamingService JMX MBean.

Version:
  $Revision: 1.1.1.1 $
Author:
  Remy Maucherat

Field Summary

Fields inherited from interface org.apache.naming.NamingServiceMBean
`NAME, OBJECT_NAME, STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`NamingService()`

Method Summary
`void` | `destroy()` Destroy servlet container (if any is running).
`java.lang.String` | `getName()` Retruns the Catalina component name.
`int` | `getState()` Returns the state.
`java.lang.String` | `getStateString()` Returns a String representation of the state.
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `start()` Start the servlet container.
`void` | `stop()` Stop the servlet container.

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingService

    public NamingService()

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### getName

    public java.lang.String getName()

  Retruns the Catalina component name.

  Specified by:
    `getName` in interface `NamingServiceMBean`

### getState

    public int getState()

  Returns the state.

  Specified by:
    `getState` in interface `NamingServiceMBean`

### getStateString

    public java.lang.String getStateString()

  Returns a String representation of the state.

  Specified by:
    `getStateString` in interface `NamingServiceMBean`

### start

    public void start()
               throws java.lang.Exception

  Start the servlet container.

  Specified by:
    `start` in interface `NamingServiceMBean`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Stop the servlet container.

  Specified by:
    `stop` in interface `NamingServiceMBean`

### destroy

    public void destroy()

  Destroy servlet container (if any is running).

  Specified by:
    `destroy` in interface `NamingServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.